/*
 * (C) 2000 ORG.NET bv, The Hague, Netherlands.
 * $Id: httpc_admin.h,v 1.2 2000/11/06 11:06:59 niels Exp $
*/
#ifndef _HTTPC_ADMIN_H_
#define _HTTPC_ADMIN_H_

#include "httpc.h"

/*
* This code listens on a UNIX socket for name '=' value [S] pairs.
* Pairs end with a '\0' or a stand-alone '='.
* One name must always be present, 'action' or 'request'.
* The values of these directives are:
* 'action=createsession' requires name 'cookie'
* 'action=killsession'   idem.
* 'action=endsession'    idem.
* 'action=chat'          requires name 'line'
* 'action=message'       idem.
* 'request=sessionlist'  outputs a list of all current sessions
* 'request=userlist'     outputs a list of all current users
*/

int httpc_admin_init(httpc_t* t);

int httpc_admin_accept(httpc_t* t);

#endif
