/*
 * (C) 2000 ORG.NET bv, The Hague, Netherlands.
 * $Id: httpc_session.h,v 1.2 2000/11/06 11:06:59 niels Exp $
*/
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "httpc.h"

session_t* httpc_add_session(httpc_t* t);
void httpc_remove_session_safe(httpc_t* t, session_t* s);
void httpc_remove_session(httpc_t* t, session_t* s);

session_t* httpc_lookup_session(httpc_t* t, char* cookie);
int httpc_create_cookie(session_t* s);

int httpc_set_cookie(session_t* s, char* cookie);
int httpc_set_user(session_t* s, char* user);
int httpc_set_boxname(session_t* s, char* boxname);

void httpc_session_inc(httpc_t* t, session_t* s);
void httpc_session_dec(httpc_t* t, session_t* s);
